Check fulfillment
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/fulfillment/serviceability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delivery_pincode": "<string>",
"cart_id": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/fulfillment/serviceability"
payload = {
"delivery_pincode": "<string>",
"cart_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({delivery_pincode: '<string>', cart_id: '<string>'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/fulfillment/serviceability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"is_serviceable": true,
"unserviceable_items": [
{
"product_id": "<string>",
"product_name": "<string>",
"product_image_url": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"unserviceable_quantity": 123,
"max_available_quantity": 123
}
]
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Carts
Check fulfillment
Checking if fulfillment is available to the entered pincode based on shipping zones and inventories.
POST
/
fulfillment
/
serviceability
Check fulfillment
Authorizations
Access token
Body
application/json
Fulfillment check request
Was this page helpful?
⌘I